<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="layout,dialog,grid,tree,combox,commonTree,attachment"/>
    <x:script src='/biz/topsun/sap/processOutsource/processOutsourceDetail.js'/>
</head>
<body>
<x:billTitle title="临时工序外协申请" needStatus="false" needPerson="true"/>
<form class="hg-form" method="post" action="" id="submitForm">
        <x:hidden name="id"/>
        <x:hidden name="sId"/>
        <x:hidden name="applyType"/>
        <x:hidden name="billCode"/>
        <x:hidden name="fillinDate" type="datetime"/>
        <x:hidden name="fullId"/>
        <x:hidden name="organId"/>
        <x:hidden name="organName"/>
        <x:hidden name="deptId"/>
        <x:hidden name="deptName"/>
        <x:hidden name="positionId"/>
        <x:hidden name="positionName"/>
        <x:hidden name="personMemberId"/>
        <x:hidden name="statusId"/>
        <x:hidden name="personMemberName"/>
    <div class="hg-form-cols">
        <div class="hg-form-row">
            <x:hidden name="werks"/>
            <x:inputC name="werksName" label="工厂" labelCol="2" fieldCol="2" required="true" wrapper="select"/>
        </div>
        <div class="hg-form-row">
            <x:textareaC name="situationDesc" label="情况说明" labelCol="2" fieldCol="10" required="true" rows="3"/>
        </div>
    </div>
    <div class="blank_div clearfix"></div>
    <x:title title="行项目" name="group"/>
    <div id="orderItemGrid" style="margin: 2px;"></div>
    <div class="blank_div clearfix"></div>
    <x:title title="组件" name="group"/>
    <div id="materialGrid" style="margin: 2px;"></div>
</form>
</body>
</html>
