<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="layout,dialog,grid,tree,dateTime,combox,attachment,commonTree,comboDialog"/>
    <script src='<c:url value="/lib/jquery/jquery.comboDialog.js"/>' type="text/javascript"></script>
    <script src='<c:url value="/lib/jquery/jquery.commonTree.js"/>' type="text/javascript"></script>
    <script src='<c:url value="/lib/jquery/jquery.flexField.js"/>' type="text/javascript"></script>
    <script src='<c:url value="/biz/topsun/sap/purchaseInfoRecord/purchaseInfoRecordList.js"/>' type="text/javascript"></script>
</head>
<body>
<div class="container-fluid">
    <div id="layout">
        <div position="center" title="">
            <x:title title="搜索" hideTable="queryMainForm"/>
            <form class="hg-form ui-show" method="post" action="" id="queryMainForm">
                <div class="hg-form-row">
                    <x:inputC name="infnr" label="采购信息记录编号" labelCol="1"/>
                    <x:hidden name="werks"/>
                    <x:inputC name="werksName" label="工厂" labelCol="1" wrapper="select"/>
                    <x:hidden name="lifnr"/>
                    <x:inputC name="name1" label="供应商" labelCol="1" wrapper="select"/>
                    <x:selectC name="esokz" label="采购信息记录分类" labelCol="1" dictionary="esokz"/>
                </div>
                <div class="hg-form-row">
                    <x:inputC name="matnr" label="物料编码" labelCol="1"/>
                    <x:inputC name="maktx" label="物料名称" labelCol="1"/>
                    <x:inputC name="matklName" label="物料组" labelCol="1"/>
                    <x:inputC name="personMemberName" label="录入人" labelCol="1"/>
                </div>
                <div class="hg-form-row">
                    <div class="col-xs-4 col-sm-1">
                        <label class="hg-form-label">录入日期起&nbsp;:</label>
                    </div>
                    <div class="col-xs-4 col-sm-2 col-white-bg">
                        <x:input name="fillinBeginDate" required="false" wrapper="date" />
                    </div>
                    <div class="col-xs-4 col-sm-1">
                        <label class="hg-form-label">录入日期止&nbsp;:</label>
                    </div>
                    <div class="col-xs-4 col-sm-2 col-white-bg">
                        <x:input name="fillinEndDate" label="至" required="false" wrapper="date" />
                    </div>
                    <x:selectC name="cancelFlag" label="作废状态" labelCol="1" dictionary="cancelFlag"/>
                </div>
                <div class="hg-form-row">
                    <x:checkboxListC name="statusKind" label="common.field.status" list="statusKindsList" labelCol="1" fieldCol="3"/>
                </div>
                <x:searchButtons/>
            </form>
            <x:title title="采购记录维护明细" hideTable="#purchaseInfoRecordGrid" name="list"/>
            <div id="purchaseInfoRecordGrid" style="margin:2px;"></div>
        </div>
    </div>
</div>
</body>
</html>

